PETSc version 3.15.5
Fix/Edit manual page

# DMDASetBoundaryType

Sets the type of ghost nodes on domain boundaries.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetBoundaryType(DM da,DMBoundaryType bx,DMBoundaryType by,DMBoundaryType bz)

Not collective

### Input Parameter

| da | - The DMDA
| bx,by,bz | - One of DM_BOUNDARY_NONE, DM_BOUNDARY_GHOSTED, DM_BOUNDARY_PERIODIC

### See Also

DMDACreate(), DMDestroy(), DMDA, DMBoundaryType

### Level

intermediate

### Location

src/dm/impls/da/da.c

### Examples

src/dm/tutorials/ex19.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages